Skip to main content
POST
/
contacts
Create a contact
curl --request POST \
  --url https://api.pulsewave.dev/v1/contacts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "jsmith@example.com",
  "phone_number": "<string>",
  "first_name": "<string>",
  "last_name": "<string>",
  "metadata": {}
}
'
{
  "id": "ct_5n2p9x",
  "object": "contact",
  "email": "jsmith@example.com",
  "phone_number": "<string>",
  "first_name": "<string>",
  "last_name": "<string>",
  "subscribed": true,
  "metadata": {},
  "created_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

All requests must include Authorization: Bearer <api_key>. Keys are prefixed pw_live_ or pw_test_. See Authentication.

Body

application/json
email
string<email>
required
phone_number
string

E.164 format, required to send this contact SMS

first_name
string
last_name
string
metadata
object

Response

The created contact

id
string
Example:

"ct_5n2p9x"

object
enum<string>
Available options:
contact
email
string<email>
phone_number
string | null
first_name
string | null
last_name
string | null
subscribed
boolean

Whether this contact can currently receive messages

metadata
object
created_at
string<date-time>